Bug 174659 - small bug in efj patch
Summary: small bug in efj patch
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ben Konrath
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-12-01 06:14 UTC by Ben Konrath
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-04 18:43:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Eclipse Project 75333 None None None Never

Description Ben Konrath 2005-12-01 06:14:45 UTC
The efj patch has a small bug. The config xml version should be "8" to match
that of eclipse 3.1.1 (ie change "int CURRENT_VERSION = 6;" to "int
CURRENT_VERSION = 8;").

It might be worthwhile refactoring the jdt.core plugins to get that value
automatically as I suggest in the comment above that line of code. The JDT
developers may be more likely to include this patch if it's is done coreectly.

Comment 1 Andrew Overholt 2005-12-02 17:15:43 UTC
I've changed this in our RPMs and it will be picked up on the next build run. 
Ben, please change in your upstream patch.

Comment 2 Andrew Overholt 2005-12-06 21:47:02 UTC
Close this when you've checked it in upstream, Ben.  Thanks.

Comment 3 Ben Konrath 2006-01-04 20:17:05 UTC
Ok, I'm going to refactor the patch to fix this problem.

Comment 4 Andrew Overholt 2006-02-03 16:14:01 UTC
Is this still relevant now that things have been applied upstream?

Comment 5 Ben Konrath 2006-02-04 18:43:32 UTC
No, it's not relevant anymore. Closing bug.


Note You need to log in before you can comment on or make changes to this bug.